GNU bug report logs - #37934
makefile colors messed up by ://

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #33900, #35299, #36245, #45037, #46052, #46221, #48052; dated Sat, 26 Oct 2019 14:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 37934 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37934 <at> debbugs.gnu.org:


Received: (at 37934) by debbugs.gnu.org; 30 Oct 2019 11:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 30 07:12:08 2019
Received: from localhost ([127.0.0.1]:49359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPltY-0006fA-Do
	for submit <at> debbugs.gnu.org; Wed, 30 Oct 2019 07:12:08 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iPltW-0006f0-Ge
 for 37934 <at> debbugs.gnu.org; Wed, 30 Oct 2019 07:12:06 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iPltR-0004Lb-3C; Wed, 30 Oct 2019 12:12:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: makefile colors messed up by ://
References: <87ftjfybku.5.fsf@HIDDEN>
Date: Wed, 30 Oct 2019 12:12:00 +0100
In-Reply-To: <87ftjfybku.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Sat, 26 Oct 2019 19:45:37 +0800")
Message-ID: <87eeyuwkqn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > $ cat
    makefile > x: > echo This line is the correct color. > echo This line is
   not. Because it contains the string file:// in it. I can confirm that this
    bug is still in Emacs. The problem is this regexp: 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37934
Cc: 37934 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> $ cat makefile
> x:
> 	echo This line is the correct color.
> 	echo This line is not. Because it contains the string file:// in it.

I can confirm that this bug is still in Emacs.  The problem is this regexp:

(defvar makefile-dependency-regex
  ;; Allow for two nested levels $(v1:$(v2:$(v3:a=3Db)=3Dc)=3Dd)
  "^\\(\\(?:\\$\\(?:[({]\\(?:\\$\\(?:[({]\\(?:\\$\\(?:[^({]\\|.[^\n$#})]+?[=
})]\\)\\|[^\n$#)}]\\)+?[})]\\|[^({]\\)\\|[^\n$#)}]\\)+?[})]\\|[^({]\\)\\|[^=
\n$#:=3D]\\)+?\\)\\(:\\)\\(?:[ \t]*$\\|[^=3D\n]\\(?:[^#\n]*?;[ \t]*\\(.+\\)=
\\)?\\)"
  "Regex used to find dependency lines in a makefile.")

Of which I can only say...  "eek".

I wonder -- has anybody considered rewriting make-mode.el using
syntax-ppss?  Or is the syntax just too intractable for that?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37934; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Oct 2019 14:06:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 26 10:06:20 2019
Received: from localhost ([127.0.0.1]:41309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOMhw-0006ys-HW
	for submit <at> debbugs.gnu.org; Sat, 26 Oct 2019 10:06:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:54693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1iOMhr-0006yf-Ch
 for submit <at> debbugs.gnu.org; Sat, 26 Oct 2019 10:06:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46716)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jidanni@HIDDEN>) id 1iOMhn-00076J-Be
 for bug-gnu-emacs@HIDDEN; Sat, 26 Oct 2019 10:06:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1iOMhl-0001Nh-Hs
 for bug-gnu-emacs@HIDDEN; Sat, 26 Oct 2019 10:06:10 -0400
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:57805)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1iOMhk-0001LX-Hi
 for bug-gnu-emacs@HIDDEN; Sat, 26 Oct 2019 10:06:09 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DA8A26A0F55
 for <bug-gnu-emacs@HIDDEN>; Sat, 26 Oct 2019 14:06:03 +0000 (UTC)
Received: from pdx1-sub0-mail-a3.g.dreamhost.com
 (100-96-85-194.trex.outbound.svc.cluster.local [100.96.85.194])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 667456A10CF
 for <bug-gnu-emacs@HIDDEN>; Sat, 26 Oct 2019 14:06:03 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a3.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 26 Oct 2019 14:06:03 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Stretch-Harmony: 6b5f749c78d9e7a7_1572098763621_2823664003
X-MC-Loop-Signature: 1572098763621:3076014183
X-MC-Ingress-Time: 1572098763620
Received: from pdx1-sub0-mail-a3.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTP id 1C61C91853
 for <bug-gnu-emacs@HIDDEN>; Sat, 26 Oct 2019 07:05:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=5EXkGH1XJBKhtbhZ0FxqkRPCejA=; b=ia0e+NlLvuF7Xqfs
 obStH5r1wcLETK0xK0vQklVVhBjk2mhK18OrMpbp+VR6cLnPAkfIygjIu/3U8sn2
 N1QQ9hqdGhCzcX5f1q/fDPfBSWqxU9pTKMpH78HiPl4F7CDOch+vkhQq9MQPd4Nd
 7tnNeOPxfe6FzMciD9Tuo7md+ts=
Received: from jidanni.org (1-170-81-123.dynamic-ip.hinet.net [1.170.81.123])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a3.g.dreamhost.com (Postfix) with ESMTPSA id 92A2D91851
 for <bug-gnu-emacs@HIDDEN>; Sat, 26 Oct 2019 07:05:57 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a3
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: makefile colors messed up by ://
Date: Sat, 26 Oct 2019 19:45:37 +0800
Message-ID: <87ftjfybku.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.45
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

$ cat makefile
x:
	echo This line is the correct color.
	echo This line is not. Because it contains the string file:// in it.
$ emacs -nw -Q makefile
emacs-version "26.3"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37934; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.